/* 
  compatible with panoplaza template v2.1.0+
*/

// ショップ開始時のローディング表示のカスタム処理 
PanoPlaza.VirtualShop.custom.showLoading = function()
{
    return true; // if you change this to false, you can cancel following processes.      
};

PanoPlaza.VirtualShop.custom.hideLoading = function()
{
    return true; // if you change this to false, you can cancel following processes.      
};

// ショップ開始時のカスタム処理
PanoPlaza.VirtualShop.custom.onStart = function()
{
    if (PanoPlaza.Util.isMobile()) {
        PanoPlaza.Item.setOptions({width: 240, height: 320, image_height: 140});
        PanoPlaza.Util.execKrpanoAction("set(plugin[map_expand_button].y, 20);"); // 20 = 10(default) * 2(scale)
    } else {
        PanoPlaza.Item.setOptions({width: 480, height: 530});
    }
    
};

// 最初のパノラマを開いたときのカスタム処理
PanoPlaza.VirtualShop.custom.onFirstPanorama = function()
{     
    PanoPlaza.Plugins.LeapMotion.start();
};

// ウェルカム画面を閉じるときのカスタム処理
PanoPlaza.VirtualShop.custom.onWelcomeClosed = function()
{
    return true; // if you change this to false, you can cancel following processes.
};

// ロゴがロードされたときのカスタム処理
PanoPlaza.VirtualShop.custom.onLogoLoaded = function()
{   
    if (PanoPlaza.Util.isMobile()) {
        PanoPlaza.Util.execKrpanoAction("if(plugin[bottom] !== null, adjust_logoscale(35);set(plugin[logo].y, 42););"); // (60 * 2 - 35) / 2
    } else {   
        PanoPlaza.Util.execKrpanoAction("if(plugin[bottom] !== null, adjust_logoscale(35);));");
    }

    return true; // if you change this to false, you can cancel following processes.
};  

// ロゴがクリックされたときのカスタム処理
PanoPlaza.VirtualShop.custom.onLogoClicked = function()
{   
    return true; // if you change this to false, you can cancel following processes.
};  

// パノラマのxmlがロードされたときのカスタム処理
PanoPlaza.Panorama.custom.onXmlLoaded = function(panorama_id)
{
    var pano = PanoPlaza.Panorama.getPanoramaById(panorama_id);

    /// ロゴの位置やサイズを変更する
  var actions = "set(plugin[logo].x, 10);\n\
                 set(plugin[logo].y, 7);\n\
                 set(plugin[logo].align, leftbottom);\n\
                 set(plugin[logo].keep, true);\n\
                 set(plugin[logo].zorder, 3);\n\
                 set(plugin[logo].width, 65);\n\
                 set(plugin[logo].height, 36);\n\
                 set(plugin[logo].alpha, 1.0);";
  PanoPlaza.Util.execKrpanoAction(actions);
  
   PanoPlaza.Hotspot.forEach(function(hotspot_id, type) {
       if (PanoPlaza.Util.isMobile()) {
           PanoPlaza.Hotspot.setAttribute(hotspot_id, "scale", 0.8);
       }
   });
    /*
    // ホットスポットのアイコン画像をアニメーション対応の画像にする
    PanoPlaza.Hotspot.forEach(function(hotspot_id, type) {
        if (type === "item") {
            var item = PanoPlaza.Hotspot.getAssociatedItem(hotspot_id);
            if (PanoPlaza.Util.isOculusRiftMode() === false && item.category !== "#Text") {
                PanoPlaza.Hotspot.setAttribute(hotspot_id, "url", "../../pvs/customize/default/image/marker_item_anim.png");
                PanoPlaza.Hotspot.setAttribute(hotspot_id, "crop", "0|0|40|40");
                PanoPlaza.Hotspot.setAttribute(hotspot_id, "framewidth", "40");
                PanoPlaza.Hotspot.setAttribute(hotspot_id, "frameheight", "40");
                PanoPlaza.Hotspot.setAttribute(hotspot_id, "lastframe", "9");
                PanoPlaza.Hotspot.setAttribute(hotspot_id, "frame", "0"); 
            }
        }

        if (type === "panorama") {
            PanoPlaza.Hotspot.setAttribute(hotspot_id, "url", "../../pvs/customize/default/image/marker_panorama_anim.png");
            PanoPlaza.Hotspot.setAttribute(hotspot_id, "crop", "0|0|50|70");
            PanoPlaza.Hotspot.setAttribute(hotspot_id, "framewidth", "50");
            PanoPlaza.Hotspot.setAttribute(hotspot_id, "frameheight", "70");
            PanoPlaza.Hotspot.setAttribute(hotspot_id, "lastframe", "9");
            PanoPlaza.Hotspot.setAttribute(hotspot_id, "frame", "0");
        }                
    });
    
    // マップリンクのアイコンをhover対応の画像にする
    PanoPlaza.FloorMapLink.forEach(function(maplink_id, pano_id) {
        PanoPlaza.FloorMapLink.setAttribute(maplink_id, "url", "../../pvs/customize/default/image/spot.png");
        if (pano_id === panorama_id) {
            PanoPlaza.FloorMapLink.setAttribute(maplink_id, "crop", "0|80|25|40");
        } else {       
            PanoPlaza.FloorMapLink.setAttribute(maplink_id, "crop", "0|0|25|40");
            PanoPlaza.FloorMapLink.setAttribute(maplink_id, "onovercrop", "0|40|25|40"); 
        }
    });  
    */
};

// パノラマのロードが完了したときのカスタム処理
PanoPlaza.Panorama.custom.onLoaded = function(panorama_id)
{
//    var pano = PanoPlaza.Panorama.getPanoramaById(panorama_id);
};

// パノラマのロードをする前のカスタム処理
PanoPlaza.Panorama.custom.onLoading = function(panorama_id)
{
    // マップ閉じる
    PanoPlaza.Util.execKrpanoAction("map_close");

    return true; // if you change this to false, you can cancel following processes.    
};

// パノラマの遷移時のエフェクトのカスタム処理
PanoPlaza.Panorama.custom.applyTransitionEffect = function(panorama_id, source_id)
{
    // マルチスクリーンのときはスキップ
    if (typeof PanoPlaza.Plugins !== 'undefined' 
            && typeof PanoPlaza.Plugins.MultiScreen !== 'undefined' 
            && PanoPlaza.Plugins.MultiScreen.enabled === true) {
        return false;
    }

    // Chromecastデバイスのときはスキップ
    if (navigator.userAgent.indexOf('CrKey') >= 0) {
        return false;
    }
    
    return true; // if you change this to false, you can cancel following processes.
};

// ポップアップ画面のテンプレート適用前のカスタム処理
PanoPlaza.Item.custom.openPagePreAction = function(item, hotspot)
{
};

// ポップアップ画面のテンプレート適用後のカスタム処理
PanoPlaza.Item.custom.openPagePostAction = function(item, hotspot)
{
    // Thickboxの閉じるボタンではない閉じるボタンの処理
        $("#myCloseButton").click(function(){
            PanoPlaza.Item.closePage();
            
            if (PanoPlaza.VirtualShop.current.map === true) {
                PanoPlaza.Util.execKrpanoAction("set(plugin[map].enabled, true);"); 
            }
            if (PanoPlaza.VirtualShop.current.welcome_message === true) {
                PanoPlaza.Util.execKrpanoAction("set(plugin[welcome].enabled, true);"); 
            }             
        });
};

// ポップアップ画面を閉じた後のカスタム処理
PanoPlaza.Item.custom.onClosed = function()
{
    $("#myItem").remove();
};

// ホットスポットがロードされたときのカスタム処理
PanoPlaza.Hotspot.custom.onLoaded = function(hotspot_id, type, url)
{   
    /*
    var hotspot_name = "hotspot_" + hotspot_id; 
    var interval = 0.1;
    if (url.indexOf("_anim") >= 0) {
        PanoPlaza.Util.execKrpanoAction("hotspot_animate_start(" + hotspot_name + "," + interval + ");");         
    }
    */
};

// ホットスポットをクリックしたときのカスタム処理
PanoPlaza.Hotspot.custom.onClicked = function(hotspot_id, type)
{
     
    
        
      if(type === "item") {    
        var virtualshop = PanoPlaza.VirtualShop.current;
        var item = PanoPlaza.Hotspot.getAssociatedItem(hotspot_id);      
      
        /* 全アイテムを取得 */
        var all_items = PanoPlaza.VirtualShop.current.items;   
      
        /* 同じカテゴリ名を配列に入れる */
        item.imageurls = [];
        for(var i=0; i < all_items.length; i++){
          if(all_items[i] && item.category === all_items[i].category){
              item.imageurls.push({url: all_items[i].imageurl});
          }
        }
      
        /* カテゴリ名にSlideImageが部分一致したら実行する */
        if (item.category.indexOf( "SlideImage") !== -1 ) {
          if (PanoPlaza.Util.isMobile()) {
              PanoPlaza.Util.openInlineFrame("../../pvs/customize/seiko_museum/_div.slide.mobile.html", {"item": item, "virtualshop": virtualshop}, {width: 0, height: 0}, function(){
                $("#myDivInner").css({"width": 240 + "px", "height": 320 + "px"});
                $(".bx-pager, .bx-default-pager").css({"bottom": -25 + "px"});
                $("#myDiv").css({"left": ($(window).width() - 260) / 2 + "px", "top": ($(window).height() - 320) / 2 + "px", "background-color": "#313131"});
                $("#myDiv_closeWindowButton").css({"right": -40 + "px", "top": 0 });
                $("#myDiv_closeWindowButton img").attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button.png" );
                $("#myCloseButton").click(function(){
                  PanoPlaza.Util.closeInlineFrame();
                  return false;
                });

                PanoPlaza.Item.current = null;
                PanoPlaza.Item.selectedHotspot = null;
              }); 
           } else {          
                PanoPlaza.Util.openInlineFrame("../../pvs/customize/seiko_museum/_div.slide.html", {"item": item, "virtualshop": virtualshop}, {width: 0, height: 0}, function(){   
                $("#myDiv").css("display", "none");
                $("#myDivInner").css({"width": 500 + "px", "height": 530 + "px"});
                $("#myDiv").css({"left": ($(window).width() - 500) / 2 + "px", "top": ($(window).height() - 530) / 2 + "px"});
             
                $("#myDiv_closeWindowButton").css({"right": -40 + "px", "top": 0 });
                $("#myDiv_closeWindowButton img").attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button.png" );
                $("#myDiv_closeWindowButton img").hover(
                      function(){
                          $(this).attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button_on.png" );
                      },function(){
                          $(this).attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button.png" );
                      }
              );
               //     setTimeout( '$("#myDivInner").css("display", "block"),$("#myDiv_closeWindowButton").css("display", "block")',100);
              $("#myCloseButton").click(function(){
                PanoPlaza.Util.closeInlineFrame();
                return false;
              });

              PanoPlaza.Item.current = null;
              PanoPlaza.Item.selectedHotspot = null;
          });
        }
          return false;
        }
      
      /* カテゴリ名にMovieと一致したらたら実行する */
      if (item.category === "Movie") {
          var movieImageUrl = item.imageurl;
          var movieid = /\?v\=([-\w]+)/.exec(movieImageUrl)[1];
          
          if (PanoPlaza.Util.isMobile()) {
              PanoPlaza.Util.openInlineFrame("../../pvs/customize/seiko_museum/_div.movie.mobile.html", {"item": item, "virtualshop": virtualshop, "movieid": movieid}, {width: 0, height: 0}, function(){
                $("#myDivInner").css({"width": 240 + "px", "height": 320 + "px"});
                $("#myDiv").css({"left": ($(window).width() - 260) / 2 + "px", "top": ($(window).height() - 320) / 2 + "px"});
                $("#myDiv_closeWindowButton img").css({"display": "none" });
                $("#myCloseButton").click(function(){
                  PanoPlaza.Util.closeInlineFrame();
                  return false;
                });

                PanoPlaza.Item.current = null;
                PanoPlaza.Item.selectedHotspot = null;
              }); 
          } else {        
              PanoPlaza.Util.openInlineFrame("../../pvs/customize/seiko_museum/_div.movie.html", {"item": item, "virtualshop": virtualshop, "movieid": movieid}, {width: 0, height: 0}, function(){
                $("#myDivInner").css({"width": 500 + "px", "height": 530 + "px"});
                $("#myDiv").css({"left": ($(window).width() - 500) / 2 + "px", "top": ($(window).height() - 530) / 2 + "px"});
             
                $("#myDiv_closeWindowButton").css({"right": -40 + "px", "top": 0 });
                $("#myDiv_closeWindowButton img").attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button.png" );
                $("#myDiv_closeWindowButton img").hover(
                      function(){
                          $(this).attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button_on.png" );
                      },function(){
                          $(this).attr("src", "../../pvs/customize/seiko_museum/image/slide_close_button.png" );
                      }
                ); 
                $("#myCloseButton").click(function(){                 
                  PanoPlaza.Util.closeInlineFrame();
                  return false;
                });
                PanoPlaza.Item.current = null;
                PanoPlaza.Item.selectedHotspot = null;
              });
           }

           return false;
      } 
  }
    return true; // if you change this to false, you can cancel following processes.
};

// フロアマップリンクがロードされたときのカスタム処理
PanoPlaza.FloorMapLink.custom.onLoaded = function(maplink_id, is_active, url)
{
};

// フロアマップリンクをクリックしたときのカスタム処理
PanoPlaza.FloorMapLink.custom.onClicked = function(maplink_id, is_active)
{
    return true; // if you change this to false, you can cancel following processes.    
};

// フロアマップを開いたときのカスタム処理
PanoPlaza.FloorMap.custom.onOpened = function()
{
};

// フロアマップを閉じたときのカスタム処理
PanoPlaza.FloorMap.custom.onClosed = function()
{
};

// フロアマップがロードされたときのカスタム処理
PanoPlaza.FloorMap.custom.onLoaded = function()
{
};

 function open_customMap() {
 // ヘルプ画面の表示例1
 if (PanoPlaza.Util.isMobile()) {
              PanoPlaza.Util.openInlineFrame("../../pvs/customize/seiko_museum/_div.map.mobile.html", {width: 0, height: 0}, {"bgcolor":"transparent"}, function(){
                $("#myDiv_closeWindowButton img").css("display", "none");
                $("#myDivInner").css({"overflow": "scroll"});
                $("#myDivInner").css({"width": 250 + "px"});
                $("#myDiv").css({"left": ($(window).width() - 225) / 2 + "px"});  
                if(navigator.userAgent.indexOf('Android') > 0) {
                  $("#myDivInner").css({"width": 300 + "px"});
                  $("#myDiv").css({"left": ($(window).width() - 300) / 2 + "px"});  
                }
              }); 
          } else { 
        PanoPlaza.Util.openInlineFrame("../../pvs/customize/seiko_museum/_div.map.html", {width: 0, height: 0}, {"bgcolor":"transparent"}, function(){
            $("#myDiv_closeWindowButton img").css("display", "none");
            $("#myDiv_closeWindowButton").css("display", "none");
            $("#myDivInner").css({"width": 900 + "px", "height": 500 + "px"});
            $("#myDiv").css({"left": ($(window).width() - 900) / 2 + "px", "top": ($(window).height() - 500) / 2 + "px"});  
        });
    }
            $("#myDiv_overlay").click(function(){
                PanoPlaza.Util.closeInlineFrame();
                return false;
              });
}

/* リンクをクリックするとパノラマに移動する */
function onLinkClicked(panoName) {

        var panorama = PanoPlaza.Panorama.getPanoramaByTitle(panoName);
        PanoPlaza.Panorama.load(panorama.id);
        
        /* インライン表示を消す */
        PanoPlaza.Util.closeInlineFrame();

}